<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<?php
// Fonction qui accepte un premier paramètre par référence
// et qui y stocke le produit de tous les autres paramètres.
function produit(&$résultat) {
  switch (func_num_args()) {
    case 1:
      // Un seul paramètre (la variable pour le résultat)
      // Retourner 0 (choix arbitraire).
      $résultat = 0;
      break;
    default:
      // Récupérer les paramètres dans un tableau
      // et supprimer le premier élément (le premier
      // paramètre).
      $paramètres = func_get_args();
      unset($paramètres[0]);
      // Initialiser le résultat à 1.
      $résultat = 1;
      // Faire une boucle sur le tableau des paramètres
      // pour multiplier le résultat par le paramètre.
      foreach($paramètres as $paramètre) {
        $résultat *= $paramètre;
      }
      break;
  }
}
// appels
produit($résultat);
echo 'produit($résultat) => ',$résultat,'<br />';
produit($résultat,1,2,3);
echo 'produit($résultat,1,2,3) => ',$résultat,'<br />';
?>