<?php
// Définition de l'espace de noms.
namespace MonProjet;
// Inclusion de la librairie.
include('115-1.php');
// Définition d'une constante.
const UN = 'un';
// Définition d'une classe.
class uneClasse {
  static function information() {
    echo 'MonProjet<br />';
  }
}
// Définition d'une fonction.
function uneFonction() {
    echo __FUNCTION__,'<br />';
}
// Affichage de l'espace de noms courant.
echo 'Espace de noms courant = ', __NAMESPACE__,'<br />';
// Appel de uneFonction() :
// nom non qualifié = espace de noms courant
echo 'uneFonction() = ';
uneFonction();
// Appel de Librairie\uneFonction() :
// nom qualifié relatif
echo 'Librairie\uneFonction() = ';
Librairie\uneFonction();
// Affichage de \MonProjet\Librairie\UN :
// nom qualifié absolu
echo '\MonProjet\Librairie\UN = ',
     \MonProjet\Librairie\UN,
     '<br />';
// Affichage de namespace\UN :
// utilisation du mot-clé 'namespace' (espace courant)
echo 'namespace\UN = ',
     namespace\UN,
     '<br />';
// Définition d'un alias de classe.
use \MonProjet\Librairie\uneClasse as cl;
echo 'cl::information() = ';
cl::information();
// Définition d'un alias d'espace de noms.
use MonProjet\Librairie as lib;
echo ' lib\uneFonction() = ';
lib\uneFonction();
?>