<?php
// Déclaration de variables qui seront utilisées plus loin.
// Cette section de code PHP ne génère pas de sortie dans la
// page HTML (pas d'appel à echo).
$nom = 'John'; // nom de l'utilisateur
$titre_page = 'Les éditions ENI présentent ...'; // titre de la page
$aujourdhui = date("d/m/Y"); // date du jour
$heure = date("H:i:s"); // heure
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
    <?php /* affichage du titre */ echo $titre_page; ?>
    </title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  </head>
  <body>
    <p>
    <?php
    /* Affichage du nom de l'utilisateur.
    ** Les tags de mise en gras du nom (<b>) et de retour à
    ** la ligne (<br />) sont inclus dans la chaîne envoyée
    ** par le echo.
    */
    echo "Bonjour <b>$nom</b> !<br />";
    // Affichage de la date et de l'heure.
    echo "Nous sommes le $aujourdhui ; il est $heure.";
    ?>
    </p>
  </body>
</html>